import * as React from 'react';
import './style/index.scss';
import { Obj, ICnColumn } from "../type";
interface Iitem extends Obj {
    label?: string;
    value?: string;
    [labelKey: string]: any;
    children: Iitem[];
}
export interface IListFilter {
    list: Iitem[];
    value: string[];
    defaultValue: string[];
    onChange: (value: string[]) => void;
    openKeys: string[];
    defaultOpenKeys: string[];
    onChangeOpenKeys: (value: string[]) => void;
    labelKey?: string;
    valueKey?: string;
    className?: string;
    searchClassName?: string;
    style?: React.CSSProperties;
    searchStyle?: React.CSSProperties;
    searchTransform?: (str: string) => string;
    column: ICnColumn;
}
export default function ListFilter(props: IListFilter): JSX.Element;
export {};
//# sourceMappingURL=index.d.ts.map