# 通用文档

- [Web 组件研发规约](https://yuque.antfin-inc.com/cn-xt/standard/component)
- [开发环境配置](https://yuque.antfin-inc.com/c-one/cli/env)
  - 请确保 git 版本不小于 2.9
- [代码质量](https://yuque.antfin-inc.com/c-one/cli/lint)
- [目录结构](https://yuque.antfin-inc.com/c-one/cli/c-dir)
- [API 方案](https://yuque.antfin-inc.com/c-one/cli/c-api)
- [样式方案](https://yuque.antfin-inc.com/c-one/cli/c-css)
- [文档方案](https://yuque.antfin-inc.com/c-one/cli/story)
  - demo 用于快速开发预览, stories 用于编写正式的文档
- [国际化方案](https://yuque.antfin-inc.com/c-one/cli/c-i18n)
- [主题方案](https://yuque.antfin-inc.com/c-one/cli/c-token)

# Getting Started

- tnpm i
- tnpm start

# Running the tests

- tnpm run test

# 组件名称

组件描述
