/* eslint-disable @typescript-eslint/ban-types */

/* eslint-disable spaced-comment */

/* eslint-disable @typescript-eslint/no-unsafe-argument */

/* eslint-disable @typescript-eslint/no-this-alias */

/* eslint-disable @typescript-eslint/no-unsafe-assignment */

/* eslint-disable @typescript-eslint/no-unsafe-return */

/* eslint-disable @typescript-eslint/ban-ts-comment */

/* eslint-disable @typescript-eslint/no-unsafe-member-access */
export function isFunction(val) {
  return val instanceof Function;
}
export function isPlainObject(o) {
  return Object.prototype.toString.call(o) === '[object Object]';
}
export function isString(o) {
  return Object.prototype.toString.call(o) === '[object String]';
}
export function getValueByPath(source, path, defaultValue) {
  return path.reduce(function (ret, nextKey) {
    var _ret$nextKey;

    return (_ret$nextKey = ret === null || ret === void 0 ? void 0 : ret[nextKey]) !== null && _ret$nextKey !== void 0 ? _ret$nextKey : defaultValue;
  }, source);
}
export var isDef = function isDef(val) {
  return val !== undefined && val !== null;
};
export var noop = function noop(val) {
  return val;
};
/**
 * debounce
 * @param {*} fn
 * @param {*} ms
 */

export function debounce(func, wait, immediate) {
  var timeout;
  var result;

  var debounced = function debounced() {
    //@ts-ignore
    var context = this;
    var args = arguments;
    if (timeout) clearTimeout(timeout);

    if (immediate) {
      // 如果已经执行过，不再执行
      var callNow = !timeout;
      timeout = setTimeout(function () {
        timeout = null;
      }, wait);
      if (callNow) result = func.apply(context, args);
    } else {
      timeout = setTimeout(function () {
        func.apply(context, args);
      }, wait);
    }

    return result;
  };

  debounced.cancel = function () {
    //@ts-ignore
    clearTimeout(timeout);
    timeout = null;
  };

  return debounced;
}